### Method

# Ide EditorSurface get_transient_sidebar

#### Declaration

    IdeTransientSidebar*
    ide_editor_surface_get_transient_sidebar (
      IdeEditorSurface* self
    )

#### Description

Gets the transient sidebar for the editor surface.

The transient sidebar is a sidebar on the right side of the surface. It is displayed only when necessary. It animates in and out of page based on focus tracking and other heuristics.

Available since: | 3.32

#### Return value

Returns: | `IdeTransientSidebar`
| An `IdeTransientSidebar`.
| The data is owned by the instance.